Bug 174915 - Review Request: gnome-sudoku - A numerical logic puzzle game
Review Request: gnome-sudoku - A numerical logic puzzle game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
http://rpm.frields.org/extras-testing...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-03 19:26 EST by Paul W. Frields
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 07:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2005-12-03 19:26:28 EST
Spec Name or Url: http://rpm.frields.org/extras-testing/gnome-sudoku/gnome-sudoku.spec
SRPM Name or Url: http://rpm.frields.org/extras-testing/gnome-sudoku/gnome-sudoku-0.3.4-1.src.rpm
Description: A GNOME version of Sudoku, a Japanese numerical logic puzzle game.
Comment 1 John Mahowald 2005-12-11 12:06:44 EST
- rpmlint is satisfied
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible
- source matches upstream 
- package compiles on FC4
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file installed
- Works! :)

A note about python's sitelib location: if you follow the python spec template
there's a python_sitelib %define. Works without it though.

APPROVED
Comment 2 Ville Skyttä 2005-12-11 13:23:29 EST
(In reply to comment #1)
> A note about python's sitelib location: if you follow the python spec template
> there's a python_sitelib %define. Works without it though.

I don't think it works.  This is noarch python stuff, but the specfile uses
%{_libdir}.  That'll break when built on x86_64 (noarch python stuff lives
nowadays always in /usr/lib, not /usr/lib64).  I'd suggest using the python spec
template.
Comment 3 John Mahowald 2005-12-11 17:04:20 EST
(In reply to comment #2)
> (In reply to comment #1)
> > A note about python's sitelib location: if you follow the python spec template
> > there's a python_sitelib %define. Works without it though.
> 
> I don't think it works.  This is noarch python stuff, but the specfile uses
> %{_libdir}.  That'll break when built on x86_64 (noarch python stuff lives
> nowadays always in /usr/lib, not /usr/lib64).  I'd suggest using the python spec
> template.

Oops, forgot about that. It works on i386, didn't test on others.

Approval is now dependent on making this use python_sitelib instread of _libdir.
Comment 4 Paul W. Frields 2005-12-11 19:30:29 EST
Redone with fedora-rpmdevtools template, using %python_sitelib.  Build still
works fine and mock and rpmlint are both happy.  Refer to the new spec and SRPM
at:  http://rpm.frields.org/extras-testing/gnome-sudoku/

Thanks Ville, now using the rpmdevtools from now on.
Comment 5 John Mahowald 2005-12-11 21:02:17 EST
My review in comment 1 still holds.

APPROVED (again)
Comment 6 Christian Iseli 2006-12-31 06:37:56 EST
Please do not remove the FE-ACCEPT blocker.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.